

import { Dimensions, PixelRatio, Platform, StyleSheet } from 'react-native';

const SCREEN_WIDTH = Dimensions.get('window').width;
const SCREEN_HEIGHT = Dimensions.get('window').height;

let defaultStyle = {

    // 像素转点
    px2dp: (px: number) => {
        return px / PixelRatio.get()
    },

    device: {
        width: Dimensions.get('window').width,
        height: Dimensions.get('window').height
    },

    font: {
        size: {
            size8: 8,//弱
            size10: 10,//弱
            size12: 12,//一般
            size14: 14,//一般
            size16: 16,//重要
            size18: 18, //重要
            size24: 24, //
            size28: 28
        },
        color: {
            black: '#000000',
            c333: '#333333',
            c666: '#666666',
            c999: '#999999',
            cccc: '#cccccc',
            cddd: '#ddd',
            caaa: '#aaa',
        }
    },

    border: {
        size: {
            main: 1,
            small: StyleSheet.hairlineWidth, //相当于原来的0.5  这一常量定义了当前平台上的最细的宽度，不是固定值，因为不同的平台和不同的屏幕像素密度会导致不同的结果
        },
        color: {
            main: '#dcdcdc',
            nomal: '#cccccc',
            deep: '#aaa'
        }
    },

    color: {
        mainColor: '#5aa9fa'
    },

    /**
    *  图片缩放后缀
    */
    imageSuffix: {
        fit100: '?imageMogr2/thumbnail/100x100',
    },

    defaultHeader: {
        defaultAunt: 'http://oss.bm001.com/arena/arenaimg/prod/defaultIcon/defaultAunt.png',
        defaultBoss: 'http://oss.bm001.com/arena/arenaimg/prod/defaultIcon/defaultBoss.png',
        defaultCustomer: 'http://oss.bm001.com/arena/arenaimg/prod/defaultIcon/defaultCustomer.png',
        defaultShop: 'http://oss.bm001.com/arena/arenaimg/prod/defaultIcon/defaultShop.png',
        defaultStaff: 'http://oss.bm001.com/arena/arenaimg/prod/defaultIcon/defaultStaff.png',
    },

    //背景色调
    background: {
        color: {
            main: '#5AA9FA',
            pageBG: '#f7f7f7'
        }
    },

    isIphoneX: () => {
        return (
            Platform.OS === 'ios' && (Math.floor(SCREEN_HEIGHT / SCREEN_WIDTH * 100000) === 216533)
        )
    },

    isIphoneXrOrMax: () => {
        return (
            Platform.OS === 'ios' && (Math.floor(SCREEN_HEIGHT / SCREEN_WIDTH * 100000) === 216425)
        )
    },
    isHaveCatHeader: () => {
        return (
            Platform.OS === 'ios' && (Math.floor(SCREEN_HEIGHT / SCREEN_WIDTH * 100) === 216)
        )
    },
    /**
    *	导航栏状态栏之间的距离
    */
    navBarToStatusBar: () => {
        if (Platform.OS == 'ios') {
            if (Math.floor(SCREEN_HEIGHT / SCREEN_WIDTH * 100) === 216) {
                return 44
            } else {
                return 20
            }
        } else {
            return 0
        }
    }

}

export default defaultStyle